%define		subver	2017-02-18
%define		ver		%(echo %{subver} | tr -d -)
%define		plugin		odt
%define		php_min_version 5.5
Summary:	OpenOffice.org/LibreOffice.org Export
Summary(pl.UTF-8):	Wtyczka do eksportowania plików odt (Open Document Text)
Name:		dokuwiki-plugin-%{plugin}
Version:	%{ver}
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	https://github.com/LarsGit223/dokuwiki-plugin-odt/archive/%{subver}/%{name}-%{ver}.tar.gz
# Source0-md5:	6768d4d2e55c676bc46ef877abaeeb34
URL:		https://www.dokuwiki.org/plugin:odt
Requires:	dokuwiki >= 20150810
Requires:	php(core) >= %{php_min_version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
This plugin allows you to export a page to the OpenDocument format
used by OpenOffice.org, LibreOffice.org and other word processors.

This is especially useful when you need to print or to give a single
page to a customer.

Hint: OpenOffice.org can also export to PDF.

%description -l pl.UTF-8
Ta wtyczka pozwala na eksportowanie strony do formatu OpenDocument,
używanego przez Open Office i inne edytory tekstu. Przydatna jest w
sytuacji w której musisz dać pojedyńczą stronę klientowi.

Podpowiedź: Open Office pozwala także na eksportowanie do PDF.

%prep
%setup -q -n %{name}-%{subver}

%build
version=$(awk '/^date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
%{__rm} $RPM_BUILD_ROOT%{plugindir}/deleted.files
%{__rm} $RPM_BUILD_ROOT%{plugindir}/phpdoc.dist.xml
%{__rm} $RPM_BUILD_ROOT%{plugindir}/{ChangeLog,README}.txt

%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog.txt README.txt
%defattr(644,root,root,755)
%dir %{plugindir}
%{plugindir}/*.css
%{plugindir}/*.php
%{plugindir}/*.png
%{plugindir}/*.txt
%{plugindir}/*.xml
%{plugindir}/ODT
%{plugindir}/action
%{plugindir}/conf
%{plugindir}/helper
%{plugindir}/renderer
%changelog
* Sun Apr 02 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-odt.git;a=log;h=master

* Tue Mar 28 2017 Elan Ruusamäe <glen@delfi.ee> ddf1d3d
- up to 2017-02-18; requires 2015-08-10 “Detritus”

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 08b8c6a
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Tue Mar 13 2012 Elan Ruusamäe <glen@pld-linux.org> 1aa9eb7
- up to 20110616 snap, allows customizing template via config or via odt-template GET parameter

* Wed Dec 01 2010 Elan Ruusamäe <glen@pld-linux.org> 2aff228
- up to 20101030

* Wed Sep 15 2010 Elan Ruusamäe <glen@pld-linux.org> f3037b4
- up to 20100812

* Sun May 16 2010 sparky <sparky@pld-linux.org> 061fd6d
- BR: unzip

* Wed Apr 21 2010 Sławomir Paszkiewicz <paszczus@pld-linux.org> 2bfd06c
- updated to 20100404
- s/pl-UTF8/pl.UTF-8 in Summary and description

* Sat Aug 29 2009 Elan Ruusamäe <glen@pld-linux.org> 61e7ca3
- update to 20090702

* Sat Aug 29 2009 Elan Ruusamäe <glen@pld-linux.org> d842918
- use dokuwiki ziplib class

* Thu May 28 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 1ce3df7
- updated to 20090115

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> 9d5eb87
- add ca-va -> ca_VA

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> d0ac788
- do not use subshell, so the exit code could be propagated

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> b406c89
- refresh dw cache on install

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> 5ee6988
- barf if lang files not found

* Tue Jan 27 2009 Elan Ruusamäe <glen@pld-linux.org> 642bbd3
- up to 2009-01-26 rc

* Fri Sep 19 2008 duddits <duddits@pld-linux.org> 810ea05
- fixed missing Source0-md5

* Tue Aug 19 2008 Jacek Konieczny <jajcus@pld-linux.org> 83d9170
- Version: 20080507

* Tue Aug 19 2008 Jacek Konieczny <jajcus@pld-linux.org> c2f42e8
- outdated

* Thu May 08 2008 Elan Ruusamäe <glen@pld-linux.org> 2b672c6
- unify; rel 1

* Fri Mar 14 2008 blekot <blekot@pld-linux.org> ba89cb3
- added pl
- rel 1

